Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1881 (closed defect: duplicate)

Opened 11 years ago

Last modified 11 years ago

After iwconfig ath0 channel 6 - The system freezes - no messages

Reported by: monster7978 Assigned to:
Priority: minor Milestone:
Component: madwifi: other Version: v0.9.4
Keywords: Cc:
Patch is attached: 0 Pending:

Description (Last modified by mrenzmann)

The system freezes when choosing a channel higher than 2.
Reproducable: always
System : Gentoo Kernel 2.6.24-r4

How to reproduce: iwconfig ath0 channel 6

The card is a Mini PCI from Compex WLM54AG-23dBm

lspci:

00:01.0 Host bridge: Advanced Micro Devices [AMD] CS5536 [Geode companion] Host Bridge (rev 33)
00:01.2 Entertainment encryption device: Advanced Micro Devices [AMD] Geode LX AES Security Block
00:09.0 Ethernet controller: VIA Technologies, Inc. VT6105M [Rhine-III] (rev 96)
00:0a.0 Ethernet controller: VIA Technologies, Inc. VT6105M [Rhine-III] (rev 96)
00:0b.0 Ethernet controller: VIA Technologies, Inc. VT6105M [Rhine-III] (rev 96)
00:0c.0 Ethernet controller: Atheros Communications, Inc. AR5006X 802.11abg NIC (rev 01)
00:0f.0 ISA bridge: Advanced Micro Devices [AMD] CS5536 [Geode companion] ISA (rev 03)
00:0f.2 IDE interface: Advanced Micro Devices [AMD] CS5536 [Geode companion] IDE (rev 01)
00:0f.4 USB Controller: Advanced Micro Devices [AMD] CS5536 [Geode companion] OHC (rev 02)
00:0f.5 USB Controller: Advanced Micro Devices [AMD] CS5536 [Geode companion] EHC (rev 02)

dmesg:

ath_hal: module license 'Proprietary' taints kernel.
ath_hal: 0.9.18.0 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
ath_pci: no version for "ieee80211_encap" found: kernel tainted.
ath_pci: 0.9.4
ath_rate_sample: 1.2 (0.9.4)
wifi0: 11a rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: turboA rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: turboG rates: 6Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: H/W encryption support: WEP AES AES_CCM TKIP
wifi0: mac 10.5 phy 6.1 radio 6.3
wifi0: Use hw queue 1 for WME_AC_BE traffic
wifi0: Use hw queue 0 for WME_AC_BK traffic
wifi0: Use hw queue 2 for WME_AC_VI traffic
wifi0: Use hw queue 3 for WME_AC_VO traffic
wifi0: Use hw queue 8 for CAB traffic
wifi0: Use hw queue 9 for beacons
wifi0: Atheros 5212: mem=0xe00c0000, irq=9

Change History

(in reply to: ↑ description ) 04/13/08 12:15:03 changed by anonymous

Here it happens the same.. five to ten seconds after i do iwconfig ath0 channel 8, the sistem freezes

The card is a TP-LINK PCI TL-WN651G

Replying to monster7978:

The system freezes when choosing a channel higher than 2. Reproducable: always How to reproduce: iwconfig ath0 channel 6 The card is a Mini PCI from Compex WLM54AG-23dBm lspci: 00:01.0 Host bridge: Advanced Micro Devices [AMD] CS5536 [Geode companion] Host Bridge (rev 33) 00:01.2 Entertainment encryption device: Advanced Micro Devices [AMD] Geode LX A ES Security Block 00:09.0 Ethernet controller: VIA Technologies, Inc. VT6105M [Rhine-III] (rev 96) 00:0a.0 Ethernet controller: VIA Technologies, Inc. VT6105M [Rhine-III] (rev 96) 00:0b.0 Ethernet controller: VIA Technologies, Inc. VT6105M [Rhine-III] (rev 96) 00:0c.0 Ethernet controller: Atheros Communications, Inc. AR5006X 802.11abg NIC (rev 01) 00:0f.0 ISA bridge: Advanced Micro Devices [AMD] CS5536 [Geode companion] ISA (r ev 03) 00:0f.2 IDE interface: Advanced Micro Devices [AMD] CS5536 [Geode companion] IDE (rev 01) 00:0f.4 USB Controller: Advanced Micro Devices [AMD] CS5536 [Geode companion] OH C (rev 02) 00:0f.5 USB Controller: Advanced Micro Devices [AMD] CS5536 [Geode companion] EH C (rev 02) dmesg: ath_hal: module license 'Proprietary' taints kernel. ath_hal: 0.9.18.0 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413) ath_pci: no version for "ieee80211_encap" found: kernel tainted. ath_pci: 0.9.4 ath_rate_sample: 1.2 (0.9.4) wifi0: 11a rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36 Mbps 48Mbps 54Mbps wifi0: turboA rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps wifi0: turboG rates: 6Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps wifi0: H/W encryption support: WEP AES AES_CCM TKIP wifi0: mac 10.5 phy 6.1 radio 6.3 wifi0: Use hw queue 1 for WME_AC_BE traffic wifi0: Use hw queue 0 for WME_AC_BK traffic wifi0: Use hw queue 2 for WME_AC_VI traffic wifi0: Use hw queue 3 for WME_AC_VO traffic wifi0: Use hw queue 8 for CAB traffic wifi0: Use hw queue 9 for beacons wifi0: Atheros 5212: mem=0xe00c0000, irq=9

(in reply to: ↑ description ; follow-up: ↓ 4 ) 04/13/08 12:18:32 changed by anonymous

Distribution: Ubuntu gutsy gibbon Kernel version 2.6.24.4 (not the ubuntu one) Drivers: latest madwifi tarball (0.9.4)

(in reply to: ↑ 3 ) 04/13/08 17:33:53 changed by monster7978

Replying to anonymous:

Distribution: Ubuntu gutsy gibbon Kernel version 2.6.24.4 (not the ubuntu one) Drivers: latest madwifi tarball (0.9.4)

It only in "ap" mode...

04/13/08 22:23:14 changed by mrenzmann

  • description changed.

04/18/08 18:29:15 changed by andrew@lunn.ch

Interesting. See Ticket #1889. Same bug i guess.

04/28/08 06:11:27 changed by mrenzmann

#1903 seems to be dealing with the same issue.

(follow-up: ↓ 9 ) 05/22/08 20:02:23 changed by Diabliyo

Hello...

I have a:

shell# lspci |grep Wireless
02:00.0 Ethernet controller: Atheros Communications, Inc. AR5006EG 802.11 b/g Wireless PCI Express Adapter (rev 01)

Im use Gentoo AMD64 2008.0, and install the last drivers (0.9.4):

shell# emerge madwifi-ng-tools
shell# emerge madwifi-ng

This is my lsmod and dmesg:

shell# dmesg |grep ath
ath_hal: module license 'Proprietary' taints kernel.
ath_hal: 0.9.18.0 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
ath_pci: no version for "ieee80211_encap" found: kernel tainted.
ath_pci: 0.9.4

shell# dmesg |grep wlan
wlan: 0.9.4

shell# dmesg |grep ieee
ath_pci: no version for "ieee80211_encap" found: kernel tainted.
ieee80211_crypt: registered algorithm 'NULL'
ieee80211: 802.11 data/management/control stack, git-1.1.13
ieee80211: Copyright (C) 2004-2005 Intel Corporation <jketreno@linux.intel.com>

shell# lsmod|grep ath
ath_pci                85936  0 
wlan                  173088  1 ath_pci
ath_hal               219760  1 ath_pci

shell# lsmod|grep wlan
wlan                  173088  1 ath_pci

shell# lsmod|grep ieee
ieee80211              37704  0 
ieee80211_crypt        10880  1 ieee80211
ieee1394              101208  2 sbp2,ohci1394

And i cant use my wireless :(...

shell# iwconfig
eth0 no wireless
lo no wireless

Help me please !!...

(in reply to: ↑ 8 ) 05/26/08 07:16:46 changed by mrenzmann

Replying to Diabliyo:

Hello...

Your issue is totally unrelated to that reported in this ticket. In addition, it's a support request, which is expected to be directed to our regular support channels.

05/26/08 18:59:45 changed by anonymous

confirming bug on Ubuntu 8.04 LTS (Hardy Heron) i386desktop using kernel 2.6.24-16-generic, madwifi 0.9.4 and Ethernet controller: Atheros Communications Inc. AR5413 802.11abg NIC (rev 01)

08/06/08 05:32:53 changed by proski

  • status changed from new to closed.
  • resolution set to duplicate.

Closing this ticket, please go to #1903